Subject: "git stash pop" is doing an unwanted "git add" when there are conflicts.

From: Alan Mackenzie <[email-masked]>
Date: Mon, 21 Dec 2015 14:29:54 +0000

Hello, git project.

Last night, whilst clearing out a stale "stash stack", I did "git stash
pop".  There were conflicts in two files.

However, all the popped files became staged.  This doesn't normally happen.
It was intensely irritating, and required me to do "git reset HEAD" on
each of the files, none of which I wanted to commit.

I searched the git-stash man page for this scenario, but found nothing
about it.

Surely staging all the files is a bug?

-- 
Alan Mackenzie (Nuremberg, Germany).